## edu.cwru.SimpleRTS.model
Class GameUnitTest

    java.lang.Object
      edu.cwru.SimpleRTS.model.GameUnitTest

    public class GameUnitTest

extends java.lang.Object

Contains tests relating to the creation and manipulation of units

Author:
  Tim

Constructor Summary
`GameUnitTest()`

Method Summary
`static void` `setup()` Creates an initial state with one of each unit type.
`void` `test1()` Move unit 1 Southeast
`void` `test2()` Move unit 2 Northwest unitl it bumps into unit 1
`void` `test3()` Have unit 2 attack unit 1
`void` `test4()` Have unit 2 move away from unit 1, then try to attack from beyond its maximum range

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GameUnitTest

    public GameUnitTest()

Method Detail

### setup

    public static void setup()
                      throws java.lang.Exception

  Creates an initial state with one of each unit type.

  Throws:
    `java.lang.Exception`

### test1

    public void test1()

  Move unit 1 Southeast

### test2

    public void test2()

  Move unit 2 Northwest unitl it bumps into unit 1

### test3

    public void test3()

  Have unit 2 attack unit 1

### test4

    public void test4()

  Have unit 2 move away from unit 1, then try to attack from beyond its maximum range